-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2020.0675
              SUSE-SU-2020:0467-1 Security update for python3
                             26 February 2020

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           python3
Publisher:         SUSE
Operating System:  SUSE
                   UNIX variants (UNIX, Linux, OSX)
                   Windows
Impact/Access:     Denial of Service -- Remote/Unauthenticated
Resolution:        Patch/Upgrade
CVE Names:         CVE-2020-8492 CVE-2019-9674 

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2020/suse-su-20200467-1.html

Comment: This advisory references vulnerabilities in products which run on 
         platforms other than SUSE. It is recommended that administrators 
         running python3 check for an updated version of the software for 
         their operating system.

- --------------------------BEGIN INCLUDED TEXT--------------------

SUSE Security Update: Security update for python3

______________________________________________________________________________

Announcement ID:   SUSE-SU-2020:0467-1
Rating:            moderate
References:        #1162224 #1162367 #1162423 #1162825
Cross-References:  CVE-2019-9674 CVE-2020-8492
Affected Products:
                   SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
                   SUSE Linux Enterprise Module for Development Tools 15-SP1
                   SUSE Linux Enterprise Module for Basesystem 15-SP1
______________________________________________________________________________

An update that solves two vulnerabilities and has two fixes is now available.

Description:

This update for python3 fixes the following issues:
Security issues fixed:

  o CVE-2019-9674: Improved the documentation to reflect the dangers of
    zip-bombs (bsc#1162825).
  o CVE-2020-8492: Fixed a regular expression in urrlib that was prone to
    denial of service via HTTP (bsc#1162367).


Non-security issue fixed:

  o If the locale is "C", coerce it to C.UTF-8 (bsc#1162423).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise Module for Open Buildservice Development Tools
    15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-467=1
  o SUSE Linux Enterprise Module for Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-467=1
  o SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-467=1

Package List:

  o SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
    (aarch64 ppc64le s390x x86_64):
       python3-base-debuginfo-3.6.10-3.47.2
       python3-base-debugsource-3.6.10-3.47.2
       python3-testsuite-3.6.10-3.47.2
       python3-testsuite-debuginfo-3.6.10-3.47.2
  o SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
    (x86_64):
       libpython3_6m1_0-32bit-3.6.10-3.47.2
       libpython3_6m1_0-32bit-debuginfo-3.6.10-3.47.2
       python3-32bit-3.6.10-3.47.2
       python3-32bit-debuginfo-3.6.10-3.47.2
       python3-base-32bit-3.6.10-3.47.2
       python3-base-32bit-debuginfo-3.6.10-3.47.2
       python3-debugsource-3.6.10-3.47.2
  o SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
    (noarch):
       python3-doc-3.6.10-3.47.2
  o SUSE Linux Enterprise Module for Development Tools 15-SP1 (aarch64 ppc64le
    s390x x86_64):
       python3-base-debuginfo-3.6.10-3.47.2
       python3-base-debugsource-3.6.10-3.47.2
       python3-tools-3.6.10-3.47.2
  o SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x
    x86_64):
       libpython3_6m1_0-3.6.10-3.47.2
       libpython3_6m1_0-debuginfo-3.6.10-3.47.2
       python3-3.6.10-3.47.2
       python3-base-3.6.10-3.47.2
       python3-base-debuginfo-3.6.10-3.47.2
       python3-base-debugsource-3.6.10-3.47.2
       python3-curses-3.6.10-3.47.2
       python3-curses-debuginfo-3.6.10-3.47.2
       python3-dbm-3.6.10-3.47.2
       python3-dbm-debuginfo-3.6.10-3.47.2
       python3-debuginfo-3.6.10-3.47.2
       python3-debugsource-3.6.10-3.47.2
       python3-devel-3.6.10-3.47.2
       python3-devel-debuginfo-3.6.10-3.47.2
       python3-idle-3.6.10-3.47.2
       python3-tk-3.6.10-3.47.2
       python3-tk-debuginfo-3.6.10-3.47.2


References:

  o https://www.suse.com/security/cve/CVE-2019-9674.html
  o https://www.suse.com/security/cve/CVE-2020-8492.html
  o https://bugzilla.suse.com/1162224
  o https://bugzilla.suse.com/1162367
  o https://bugzilla.suse.com/1162423
  o https://bugzilla.suse.com/1162825

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBXlXIhmaOgq3Tt24GAQjbjA//Y5Le0Le0zVomWAtvuXAxswKmqO6vlLYL
EMGl0JBFOMrndOTAL5ZBvwQjCR/3MFB9mPR+ClmCUeZyE/iRhfddfgSVKcZmgUhg
iv9R5lRfcR1njH/GR0uSt555+c2PE454Xn0E5+l55UZ/43U/1qqyQPipJ8yDyNrw
M13tJBtF1k4nbMcOTWBV2Kj6M1A6SSZpQgHWxqvyqeTTszVuErFutnhGEhgtdo2r
gM+n3UkT4Xe3oxHDjtaMczrV7ykJcqxAh9wYtey7nJk6lPkmBze+L2ni6NS/xWqE
0NS5EfmQ7+Y/ra4b2DfaanB5rujgD4fQ0JjabUGsyShEIGfh7woghSh27C4iWQJe
d2qJNcZWN5c3VUqaXcAucE+eu3VfvdnBcc7gtTmjF3TzDEyNil6vrBV98XD46gtk
CZF0CrbvaWV8kBBrWIT+kFgq2MkI/1ADp8RFoazpPFU25RzX1E+Oec5ffNkEoYHO
UOVDDCOmORDSlrZMTNjlvkJ9ef7c6TEhJb2R23EiOWetuxgRHvKpRsNsyePLREjQ
145XzPxmS3rq12j5WYSTIgt7Jy0TG+ppMqg0S6gcAmsmWRy0gZU29aAAadC0D8P3
DaMpdGYieGuo7cTd0Dq7HGYMRQg8L/0RwDUBfVwQFXDKl+/A2hvFXxlE6G4qMYIC
uaoUHWPeVe4=
=Tjtb
-----END PGP SIGNATURE-----